Class SeeOtherRoot
java.lang.Object
org.apache.juneau.http.response.BasicHttpResponse<SeeOther>
org.apache.juneau.http.response.SeeOther
org.apache.juneau.rest.server.beans.SeeOtherRoot
- All Implemented Interfaces:
HttpResponseMessage
@Response
@Schema(description="Redirect to servlet root")
public class SeeOtherRoot
extends SeeOther
Convenience subclass of
SeeOther for redirecting a response to the servlet root.
See Also:
-
Nested Class Summary
Nested classes/interfaces inherited from class org.apache.juneau.http.response.SeeOther
SeeOther.Unmodifiable -
Field Summary
FieldsFields inherited from class org.apache.juneau.http.response.SeeOther
REASON_PHRASE, STATUS_CODE -
Constructor Summary
ConstructorsConstructorDescriptionConstructor.SeeOtherRoot(String content) Constructor with no redirect.SeeOtherRoot(SeeOtherRoot copyFrom) Copy constructor. -
Method Summary
Methods inherited from class org.apache.juneau.http.response.SeeOther
unmodifiableMethods inherited from class org.apache.juneau.http.response.BasicHttpResponse
addHeader, addHeader, equals, freeze, getBody, getHeaders, getLocale, getStatusCode, getStatusLine, hashCode, isUnmodifiable, modify, self, setBody, setContent, setContent, setHeader, setHeader, setHeaders, setHeaders, setLocale, setLocation, setLocation, setProtocolVersion, setReasonPhrase, setStatusCode, setStatusLine, toString, withBody, withBody, withHeader, withHeaderMethods inherited from class java.lang.Object
clone, finalize, getClass, notify, notifyAll, wait, wait, waitMethods inherited from interface org.apache.juneau.http.response.HttpResponseMessage
getFirstHeader, getHeaders
-
Field Details
-
INSTANCE
Reusable instance.
-
-
Constructor Details
-
SeeOtherRoot
public SeeOtherRoot()Constructor. -
SeeOtherRoot
Copy constructor.- Parameters:
copyFrom- The object to copy.
Must not benull .
-
SeeOtherRoot
Constructor with no redirect.Used for end-to-end interfaces.
- Parameters:
content- Message to send as the response.
Can benull for no response body.
-